
$(document).ready(function(){
	var data = "user/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_nik").html('');
		$("#error_user").html('');
		$("#error_password").html('');
		$("#error_kasta").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "user/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_nik").html(hasil.error.nik);
					$("#error_user").html(hasil.error.user);
					$("#error_password").html(hasil.error.password);
					$("#error_kasta").html(hasil.error.kasta);
				} else {
					$('#modal-tambah').modal('hide');
					$("#nik").val('');
					$("#user").val('');
					$("#password").val('');
					$("#kasta").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('user/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_nik").html('');
		$("#error_user").html('');
		$("#error_password").html('');
		$("#error_kasta").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "user/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_nik").html(hasil.error.edit_nik);
					$("#error_edit_user").html(hasil.error.edit_user);
					$("#error_edit_password").html(hasil.error.edit_password);
					$("#error_edit_kasta").html(hasil.error.edit_kasta);
				} else {
					$('#modal-edit').modal('hide');
					$("#nik").val('');
					$("#user").val('');
					$("#password").val('');
					$("#kasta").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});